Commit 97749698 authored by Guido Gunther's avatar Guido Gunther Committed by Adrien Plazas
Browse files

d/control: Add Provides:

We basically want to replace gnome-software atm so we have Conflicts:
but also want Provides: so an update works without removing meta
packages.
parent 0256651b
...@@ -61,6 +61,7 @@ Depends: appstream, ...@@ -61,6 +61,7 @@ Depends: appstream,
${shlibs:Depends} ${shlibs:Depends}
Conflicts: gnome-software, Conflicts: gnome-software,
sessioninstaller sessioninstaller
Provides: gnome-software
Recommends: fwupd [linux-any], ${plugin:Recommends} Recommends: fwupd [linux-any], ${plugin:Recommends}
Suggests: apt-config-icons-hidpi, Suggests: apt-config-icons-hidpi,
pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64], pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
...@@ -79,6 +80,7 @@ Architecture: all ...@@ -79,6 +80,7 @@ Architecture: all
Multi-Arch: foreign Multi-Arch: foreign
Depends: ${misc:Depends} Depends: ${misc:Depends}
Conflicts: gnome-software-common Conflicts: gnome-software-common
Provides: gnome-software-common
Description: Software Center for PureOS (common files) Description: Software Center for PureOS (common files)
PureOS Store lets you install and update applications and system extensions. PureOS Store lets you install and update applications and system extensions.
. .
...@@ -97,6 +99,7 @@ Depends: flatpak, ...@@ -97,6 +99,7 @@ Depends: flatpak,
${misc:Depends}, ${misc:Depends},
${shlibs:Depends} ${shlibs:Depends}
Conflicts: gnome-software-plugin-flatpak Conflicts: gnome-software-plugin-flatpak
Provides: gnome-software-plugin-flatpak
Description: Flatpak support for PureOS Store Description: Flatpak support for PureOS Store
PureOS Store lets you install and update applications and system extensions. PureOS Store lets you install and update applications and system extensions.
. .
......
...@@ -57,6 +57,7 @@ Depends: appstream, ...@@ -57,6 +57,7 @@ Depends: appstream,
${shlibs:Depends} ${shlibs:Depends}
Conflicts: gnome-software, Conflicts: gnome-software,
sessioninstaller sessioninstaller
Provides: gnome-software
Recommends: fwupd [linux-any], ${plugin:Recommends} Recommends: fwupd [linux-any], ${plugin:Recommends}
Suggests: apt-config-icons-hidpi, Suggests: apt-config-icons-hidpi,
pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64], pureos-store-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
...@@ -75,6 +76,7 @@ Architecture: all ...@@ -75,6 +76,7 @@ Architecture: all
Multi-Arch: foreign Multi-Arch: foreign
Depends: ${misc:Depends} Depends: ${misc:Depends}
Conflicts: gnome-software-common Conflicts: gnome-software-common
Provides: gnome-software-common
Description: Software Center for PureOS (common files) Description: Software Center for PureOS (common files)
PureOS Store lets you install and update applications and system extensions. PureOS Store lets you install and update applications and system extensions.
. .
...@@ -93,6 +95,7 @@ Depends: flatpak, ...@@ -93,6 +95,7 @@ Depends: flatpak,
${misc:Depends}, ${misc:Depends},
${shlibs:Depends} ${shlibs:Depends}
Conflicts: gnome-software-plugin-flatpak Conflicts: gnome-software-plugin-flatpak
Provides: gnome-software-plugin-flatpak
Description: Flatpak support for PureOS Store Description: Flatpak support for PureOS Store
PureOS Store lets you install and update applications and system extensions. PureOS Store lets you install and update applications and system extensions.
. .
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment